# Creating new Module

## Creates a new module.

<mark style="color:green;">`POST`</mark> `/modules`

Creates a new module. Only users with the Standard Registry role are allowed to make the request.

#### Request Body

| Name                               | Type | Description                               |
| ---------------------------------- | ---- | ----------------------------------------- |
| <mark style="color:red;">\*</mark> | Json | Object that contains module configuration |

{% tabs %}
{% tab title="401: Unauthorized Unauthorized" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="403: Forbidden Forbidden" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Server Error" %}

```javascript
{
    content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
}
```

{% endtab %}

{% tab title="201: Created Created" %}

````
```typescript
{
  createDate: string
  updateDate: string
  _id: string
  name: string
  description: string
  config: Config
  creator: string
  owner: string
  type: string
  status: string
  uuid: string
  codeVersion: string
  configFileId: string
  id: string
}
```
````

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.guardianservice.app/technical-information/users/standard-registry-users-schemas-and-policies/policies/modules/modules-apis/creating-new-module.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
